# Uses of Class
org.apache.lucene.internal.hppc.IntArrayList

Packages that use IntArrayList
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of IntArrayList in org.apache.lucene.internal.hppc

  Subclasses of IntArrayList in org.apache.lucene.internal.hppc
  Modifier and Type
  Class
  Description
  `class`
  `MaxSizedIntArrayList`
  An array-backed list of `int` with a maximum size limit.
  Methods in org.apache.lucene.internal.hppc that return IntArrayList
  Modifier and Type
  Method
  Description
  `IntArrayList`
  IntArrayList.`clone()`
  Clone this object.
  `static IntArrayList`
  IntArrayList.`from(int... elements)`
  Create a list from a variable number of arguments or an array of `int`.
  `IntArrayList`
  IntArrayList.`reverse()`
  Reverses the elements in this list and returns this list.
  `IntArrayList`
  IntArrayList.`sort()`
  Sorts the elements in this list and returns this list.
  Methods in org.apache.lucene.internal.hppc with parameters of type IntArrayList
  Modifier and Type
  Method
  Description
  `int`
  IntArrayList.`addAll(IntArrayList list)`
  Adds all elements from another list.
  `protected boolean`
  IntArrayList.`equalElements(IntArrayList other)`
  Compare index-aligned elements against another `IntArrayList`.
  Constructors in org.apache.lucene.internal.hppc with parameters of type IntArrayList
  Modifier
  Constructor
  Description
  ``
  `IntArrayList(IntArrayList list)`
  Creates a new list from the elements of another list in its iteration order.

- ## Uses of IntArrayList in org.apache.lucene.util.hnsw

  Constructors in org.apache.lucene.util.hnsw with parameters of type IntArrayList
  Modifier
  Constructor
  Description
  ``
  `CollectionNodesIterator(IntArrayList nodes)`
  Constructor for iterator based on collection representing nodes